# Surface Resources

### Resource options

Each surface can have the following properties:

    <surface
    	name="my_surface"
    	file="filename"
    	format="image_format"
    	hint="[automatic,opaque,colorkey,alpha]" >

To setup a surface resource, it is required to specify the name and file attributes of <surface>. If ClanLib has trouble determining what format the specified filename is in, the extension known by clanlib (eg. "jpg") can be told using the format attribute.

### Surface resource options reference

<surface>

- Attribute name: Name of resource.

  Valid values:
  Default value: None, MUST BE PRESENT.

- Attribute file: Filename of image to be used.

  Valid values:
  Default value: None, MUST BE PRESENT.

- Attribute format: Extension of known format to be used for loading.

  Valid values: "png", "jpg", "tga, "pcx"
  Default value: Uses the extension used in the file attribute.

- Attribute hint: Surface optimization hint.

  Valid values: "automatic", "opaque", "colorkey", "alpha"
  Default value: "automatic"